WordPress.org

Ready to get started?Download WordPress

Forums

WordPress 2.06 and possible conflict with Theme Switcher .5 (1 post)

  1. 4evrblu
    Member
    Posted 7 years ago #

    I have several and two of them upgraded just fine. I used virtually the same procedure for all of them. One of my blogs ran into an odd hiccup that may have something to do with WP 2.06 being incompatible with Theme Switcher .5 plugin. Here is what happened.

    Of course I backed up all my blogs and proceeded. The one thing I forgot to do before upgrading one blog was deactivate plugins! My bad. That said, what follows seems unlikely to have been caused by that oversight. Still, you never know.

    Once the uploading of all new 2.06 files was complete, I loaded "upgrade.php" in my browser and did the the upgrade. What happened next was very odd. When I went to my web site/blog it loaded a new theme called travelogue 2.0, even thought travelogue 1.03 was selected in the Current Theme.

    I tried to switch back to my original theme, but no matter what I did WP keep displaying this TL2.0 theme when I viewed the page. As an aside, TL2.0 is represented by wp-tl2 in my database.

    After nearly 8 attempts, I was finally able to get my old theme to load, the old theme you see now. "Whew", I thought. I figured all was well. Still, I decided to do a wipe of my old database just to be on the safe side, preceded, of course, by deactivating all of my plugins first. I did not want to repeat my mistake.

    I did the import of my most recent backup via phpadmin. That went swimmingly. I then went to my new, successfully imported DB and deleted the wp-tl2 data field, since that seemed to be creating my troubles (or so I thought).

    I deleted the TL 2.0 theme from my themes folder.

    I then went back to admin, and all my entries were there as before. I reactivated all my plugins, thinking all was well. Further testing revealed, however, that no matter what I did, I was unable to toggle themes!

    I then deactivated my plugins once again. This time though, I did it one plugin at a time, starting with the Theme Switcher plugin I had installed. When I did that, all of the sudden my blog started working fine. At the moment, I am not able to find any other problems with the upgrade.

    My guess is that the Theme Switcher .5 plugin has issues with WP 2.06. I am not 100% certain mind you. But that is what seems to have been the cause of my issue.

    Thanks

Topic Closed

This topic has been closed to new replies.

About this Topic